## net.sf.saxon.type
Class SchemaException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException
                        |
                        +--javax.xml.transform.TransformerConfigurationException
                              |
                              +--net.sf.saxon.type.SchemaException

All Implemented Interfaces:
  java.io.Serializable

public class SchemaException
extends javax.xml.transform.TransformerConfigurationException

An exception that identifies an error in reading, parsing, or validating a schema.

See Also:
  Serialized Form

Constructor Summary
`SchemaException()` Creates a new XMLException with no message or nested Exception.
`SchemaException(java.lang.Exception exception)` Creates a new XMLException with the given nested exception.
`SchemaException(java.lang.String message)` Creates a new XMLException with the given message.
`SchemaException(java.lang.String message, java.lang.Exception exception)` Creates a new XMLException with the given message and nested exception.
`SchemaException(java.lang.String message, javax.xml.transform.SourceLocator locator)`

Method Summary
`static SchemaException` `wrap(java.lang.Exception e)` Wrap a supplied exception to produce a SchemaException

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchemaException

    public SchemaException()

  Creates a new XMLException with no message or nested Exception.

### SchemaException

    public SchemaException(java.lang.String message,
                           javax.xml.transform.SourceLocator locator)

### SchemaException

    public SchemaException(java.lang.String message)

  Creates a new XMLException with the given message.

Parameters:
  `message` - the message for this Exception

### SchemaException

    public SchemaException(java.lang.Exception exception)

  Creates a new XMLException with the given nested exception.

Parameters:
  `exception` - the nested exception

### SchemaException

    public SchemaException(java.lang.String message,
                           java.lang.Exception exception)

  Creates a new XMLException with the given message and nested exception.

Parameters:
  `message` - the detail message for this exception
  `exception` - the nested exception

Method Detail

### wrap

    public static SchemaException wrap(java.lang.Exception e)

  Wrap a supplied exception to produce a SchemaException